JBoss Native SVN: r2130 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 09:57:33 -0500 (Thu, 11 Dec 2008)
New Revision: 2130
Modified:
trunk/build/unix/buildsrc.mod_cluster.sh
Log:
Don't need apr-iconv... except on windoze.
Modified: trunk/build/unix/buildsrc.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.mod_cluster.sh 2008-12-11 14:51:15 UTC (rev 2129)
+++ trunk/build/unix/buildsrc.mod_cluster.sh 2008-12-11 14:57:33 UTC (rev 2130)
@@ -92,9 +92,13 @@
exit 1
fi
# Apply patches for iconv
- (cd ${dirsources}/srclib/apr-iconv
- ${patch} -p0 < apr-iconv.patch
- )
+ if [ "${BUILD_SYS}" = "windows" ]; then
+ (cd ${dirsources}/srclib/apr-iconv
+ ${patch} -p0 < apr-iconv.patch
+ )
+ else
+ rm -rf ${dirsources}/srclib/apr-iconv
+ fi
else
echo "Cannot find package sources in ${dirnmake}"
exit 1
16 years
JBoss Native SVN: r2129 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 09:51:15 -0500 (Thu, 11 Dec 2008)
New Revision: 2129
Modified:
trunk/build/unix/buildsrc.mod_cluster.sh
Log:
Use gnu patch...
Modified: trunk/build/unix/buildsrc.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.mod_cluster.sh 2008-12-11 14:04:11 UTC (rev 2128)
+++ trunk/build/unix/buildsrc.mod_cluster.sh 2008-12-11 14:51:15 UTC (rev 2129)
@@ -93,7 +93,7 @@
fi
# Apply patches for iconv
(cd ${dirsources}/srclib/apr-iconv
- patch -p0 < apr-iconv.patch
+ ${patch} -p0 < apr-iconv.patch
)
else
echo "Cannot find package sources in ${dirnmake}"
16 years
JBoss Native SVN: r2128 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 09:04:11 -0500 (Thu, 11 Dec 2008)
New Revision: 2128
Modified:
trunk/build/unix/build.sh
Log:
crap in fact it is something like:
ASM=ml /Cp /coff /c /Cx
that needs to be changed...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-12-11 13:59:41 UTC (rev 2127)
+++ trunk/build/unix/build.sh 2008-12-11 14:04:11 UTC (rev 2128)
@@ -630,9 +630,9 @@
./Configure ${ssl_target} VC-WIN64A
ms/do_win64a.bat
# fix the ml to ml64...
- sed "s:^ml :ml64 :" ms/nt.mak > $$.mak
+ sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
mv $$.mak ms/nt.mak
- sed "s:^ml :ml64 :" ms/ntdll.mak > $$.mak
+ sed "s:=ml :=ml64 :" ms/ntdll.mak > $$.mak
mv $$.mak ms/ntdll.mak
;;
windows-i64)
16 years
JBoss Native SVN: r2127 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 08:59:41 -0500 (Thu, 11 Dec 2008)
New Revision: 2127
Modified:
trunk/build/unix/build.sh
Log:
Ooops that the other file is used :-(
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-12-11 13:33:04 UTC (rev 2126)
+++ trunk/build/unix/build.sh 2008-12-11 13:59:41 UTC (rev 2127)
@@ -632,6 +632,8 @@
# fix the ml to ml64...
sed "s:^ml :ml64 :" ms/nt.mak > $$.mak
mv $$.mak ms/nt.mak
+ sed "s:^ml :ml64 :" ms/ntdll.mak > $$.mak
+ mv $$.mak ms/ntdll.mak
;;
windows-i64)
./Configure ${ssl_target} VC-WIN64I
16 years
JBoss Native SVN: r2126 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 08:33:04 -0500 (Thu, 11 Dec 2008)
New Revision: 2126
Modified:
trunk/build/unix/build.sh
Log:
Use ml64 instead ml (which is not found...)
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-12-11 10:43:59 UTC (rev 2125)
+++ trunk/build/unix/build.sh 2008-12-11 13:33:04 UTC (rev 2126)
@@ -629,6 +629,9 @@
windows-x64)
./Configure ${ssl_target} VC-WIN64A
ms/do_win64a.bat
+ # fix the ml to ml64...
+ sed "s:^ml :ml64 :" ms/nt.mak > $$.mak
+ mv $$.mak ms/nt.mak
;;
windows-i64)
./Configure ${ssl_target} VC-WIN64I
16 years
JBoss Native SVN: r2125 - trunk/mod_cluster/test/java.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 05:43:59 -0500 (Thu, 11 Dec 2008)
New Revision: 2125
Modified:
trunk/mod_cluster/test/java/build.xml
Log:
Stop httpd after running the tests.
Modified: trunk/mod_cluster/test/java/build.xml
===================================================================
--- trunk/mod_cluster/test/java/build.xml 2008-12-11 10:32:31 UTC (rev 2124)
+++ trunk/mod_cluster/test/java/build.xml 2008-12-11 10:43:59 UTC (rev 2125)
@@ -103,6 +103,11 @@
<arg value="start"/>
</exec>
</target>
+ <target name="stophttpd">
+ <exec executable="${base.path}/opt/jboss/httpd/sbin/apachectl">
+ <arg value="stop"/>
+ </exec>
+ </target>
<!-- Run the tests -->
<target name="all" depends="compile,httpd">
@@ -112,6 +117,8 @@
<jvmarg line="-Dcluster=${cluster}"/>
<classpath refid="tomcat.test.classpath"/>
</java>
+ <antcall target="stophttpd">
+ </antcall>
</target>
<target name="extra" depends="compile">
16 years
JBoss Native SVN: r2124 - in trunk/mod_cluster/test/java: org/jboss/mod_cluster and 1 other directory.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 05:32:31 -0500 (Thu, 11 Dec 2008)
New Revision: 2124
Modified:
trunk/mod_cluster/test/java/installhttpd.sh
trunk/mod_cluster/test/java/org/jboss/mod_cluster/Maintest.java
Log:
Fix the test according to the new class and new names.
Modified: trunk/mod_cluster/test/java/installhttpd.sh
===================================================================
--- trunk/mod_cluster/test/java/installhttpd.sh 2008-12-11 08:46:01 UTC (rev 2123)
+++ trunk/mod_cluster/test/java/installhttpd.sh 2008-12-11 10:32:31 UTC (rev 2124)
@@ -100,10 +100,12 @@
BASE=mod_cluster-windows
;;
esac
-PACKAGE=rhel-httpd-2.2.8-1.el5s2
+#PACKAGE=rhel-httpd-2.2.8-1.el5s2
+PACKAGE=mod_cluster-1.0.0.dev
# Something like (note don't use ssl for the moment.
# http://hudson.qa.jboss.com/hudson/view/Native/job/mod_cluster-linux-x86_6...
+# http://hudson.qa.jboss.com/hudson/view/Native/job/mod_cluster-solaris-x86...
TARBALL=http://hudson.qa.jboss.com/hudson/view/Native/job/${BASE}/lastSuc...
ant downloadgz -Dsourcefile=${TARBALL} -Ddestfile=opt/jboss/httpd/sbin/apachectl
if [ $? -ne 0 ]; then
Modified: trunk/mod_cluster/test/java/org/jboss/mod_cluster/Maintest.java
===================================================================
--- trunk/mod_cluster/test/java/org/jboss/mod_cluster/Maintest.java 2008-12-11 08:46:01 UTC (rev 2123)
+++ trunk/mod_cluster/test/java/org/jboss/mod_cluster/Maintest.java 2008-12-11 10:32:31 UTC (rev 2124)
@@ -129,7 +129,7 @@
boolean stickySessionForce) {
LifecycleListener lifecycle = null;
ClusterListener jcluster = null;
- org.jboss.modcluster.ClusterListener pcluster = null;
+ org.jboss.modcluster.ModClusterListener pcluster = null;
if (isJBossWEB) {
jcluster = new ClusterListener();
@@ -142,7 +142,7 @@
jcluster.setStickySessionForce(stickySessionForce);
lifecycle = jcluster;
} else {
- pcluster = new org.jboss.modcluster.ClusterListener();
+ pcluster = new org.jboss.modcluster.ModClusterListener();
pcluster.setAdvertiseGroupAddress(groupa);
pcluster.setAdvertisePort(groupp);
pcluster.setSsl(ssl);
@@ -162,7 +162,7 @@
ClusterListener jcluster = (ClusterListener) lifecycle;
result = jcluster.getProxyInfo();
} else {
- org.jboss.modcluster.ClusterListener pcluster = (org.jboss.modcluster.ClusterListener) lifecycle;
+ org.jboss.modcluster.ModClusterListener pcluster = (org.jboss.modcluster.ModClusterListener) lifecycle;
result = pcluster.getProxyInfo();
}
return result;
16 years
JBoss Native SVN: r2123 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 03:46:01 -0500 (Thu, 11 Dec 2008)
New Revision: 2123
Modified:
trunk/build/unix/buildbin.mod_cluster.windows.sh
Log:
It is not working on dev16 so we ignore the error for the moment.
Modified: trunk/build/unix/buildbin.mod_cluster.windows.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-11 08:26:22 UTC (rev 2122)
+++ trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-11 08:46:01 UTC (rev 2123)
@@ -72,11 +72,12 @@
) || exit 1
# Also build the java part.
+# It is not working on dev16 so we ignore the error for the moment.
mod_cluster_sources=srclib/`ls srclib | grep mod_cluster`
(cd ${mod_cluster_sources} || exit 1
mvn -P dist package
cp target/*-bin.* ${build_top}/output
-) || exit 1
+)
echo "Done"
exit 0
16 years
JBoss Native SVN: r2122 - trunk/build/unix/util.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-11 03:26:22 -0500 (Thu, 11 Dec 2008)
New Revision: 2122
Modified:
trunk/build/unix/util/jlibtool.c
Log:
Print the command that was excuted when the command failed.
Modified: trunk/build/unix/util/jlibtool.c
===================================================================
--- trunk/build/unix/util/jlibtool.c 2008-12-11 03:46:49 UTC (rev 2121)
+++ trunk/build/unix/util/jlibtool.c 2008-12-11 08:26:22 UTC (rev 2122)
@@ -487,6 +487,13 @@
int statuscode;
waitpid(pid, &statuscode, 0);
if (WIFEXITED(statuscode)) {
+ int i;
+ /* It fails log what we were doing */
+ printf("%s failed\n", argv[0]);
+ for (i=0; argv[i]; i++) {
+ printf("%s ", argv[i]);
+ }
+ printf("\n");
return WEXITSTATUS(statuscode);
}
return 0;
16 years
JBoss Native SVN: r2121 - trunk/mod_cluster/src/main/java/org/jboss/modcluster/mcmp/impl.
by jbossnative-commits@lists.jboss.org
Author: pferraro
Date: 2008-12-10 22:46:49 -0500 (Wed, 10 Dec 2008)
New Revision: 2121
Modified:
trunk/mod_cluster/src/main/java/org/jboss/modcluster/mcmp/impl/DefaultMCMPHandler.java
Log:
Use constant for new line
Modified: trunk/mod_cluster/src/main/java/org/jboss/modcluster/mcmp/impl/DefaultMCMPHandler.java
===================================================================
--- trunk/mod_cluster/src/main/java/org/jboss/modcluster/mcmp/impl/DefaultMCMPHandler.java 2008-12-10 22:35:08 UTC (rev 2120)
+++ trunk/mod_cluster/src/main/java/org/jboss/modcluster/mcmp/impl/DefaultMCMPHandler.java 2008-12-11 03:46:49 UTC (rev 2121)
@@ -77,6 +77,8 @@
@ThreadSafe
public class DefaultMCMPHandler extends AbstractMCMPHandler
{
+ private static final String NEW_LINE = "\r\n";
+
protected static final Logger log = Logger.getLogger(DefaultMCMPHandler.class);
/** The string manager for this package. */
@@ -743,19 +745,23 @@
}
}
- private String sendRequest(Proxy proxy, String request, char[] body, int length) throws IOException
+ private String sendRequest(Proxy proxy, String command, char[] body, int length) throws IOException
{
Writer writer = proxy.getConnectionWriter();
- writer.write(request);
- writer.write("\r\n");
+ writer.write(command);
+ writer.write(NEW_LINE);
- writer.write("Content-Length: " + length + "\r\n");
- writer.write("User-Agent: ClusterListener/1.0\r\n");
- writer.write("Connection: Keep-Alive\r\n");
- writer.write("\r\n");
+ writer.write("Content-Length: ");
+ writer.write(Integer.toString(length));
+ writer.write(NEW_LINE);
+ writer.write("User-Agent: ClusterListener/1.0");
+ writer.write(NEW_LINE);
+ writer.write("Connection: Keep-Alive");
+ writer.write(NEW_LINE);
+ writer.write(NEW_LINE);
writer.write(body, 0, length);
- writer.write("\r\n");
+ writer.write(NEW_LINE);
writer.flush();
// Read the first response line and skip the rest of the HTTP header
16 years